+Thu May 25 21:39:02 1995 Theodore Y. Ts'o (tytso@dcl)
+
+ * makeshlib: Added shell script for creating shared libraries
+
Tue May 2 21:32:23 1995 Tom Yu (tlyu@dragons-lair)
* Makefile.in: remove spurious whitespace from blank line
--- /dev/null
+#!/bin/sh
+#
+# makeshlib: Make a shared library.....
+#
+# Usage: makeshlib <host> <CC> <library> <directories>
+#
+
+host=$1 ; shift
+CC=$1 ; shift
+library=$1 ; shift
+
+case $host in
+*-*-solaris*)
+ FILES=`for i
+ do
+ sed -e "s;^;$i/shared/;" -e "s; ; $i/shared/;g" $i/DONE
+ done`
+
+ echo $CC -G -o $library $FILES
+ $CC -G -o $library $FILES
+ ;;
+*)
+ echo "Host type $host not supported!"
+ exit 1
+esac